Subject: [eppext] FW: [IANA #826994] Registration request for EPP extension

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 4 Jun 2015 08:21:34 +0000

DEs, we've received a request from IANA to review an extension registration request. Please send your comments to this list prior to 18 June 2015. Ulrich Wisser <[email-masked]> sent the request on behalf of .SE.

Scott

-----Original Message-----
From: Amanda Baber via RT [mailto:[email-masked]] 
Sent: Thursday, June 04, 2015 4:14 AM
Cc: Hollenbeck, Scott
Subject: [IANA #826994] Registration request for EPP extension

Hi Scott,

Can you review this new extension request for us?

thanks,
Amanda

-----BEGIN FORM-----

Name of Extension:
".SE extension"

Document Status: informational

Reference:
https://www.iis.se/docs/iis-1.2.txt

Registrant Name and Email Address:
Internet Infrastructure Foundation, [email-masked]

TLDs: .se  .nu

IPR Disclosure: None

Status: Active

Notes: Manual for the extension 
https://www.iis.se/docs/Bilaga-10_EPP_Rules_Policies_Protocol_Description-v17.pdf  

-----END FORM-----

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Mon, 15 Jun 2015 11:13:09 +0000

Just one direct comment from me, Ulrich: I think it would be more convenient for an implementer if the schema and manual were in the same document.

An indirect comment: the need for VAT and national identifier information seems to be a common need for registries that operate in the EU. Does it make sense to develop a standard extension for them?

Scott

> From: EppExt [mailto:[email-masked]] On Behalf Of Hollenbeck,
> Scott
> Sent: Thursday, June 04, 2015 4:22 AM
> To: [email-masked]
> Cc: Ulrich Wisser
> Subject: [eppext] FW: [IANA #826994] Registration request for EPP
> extension
> 
> DEs, we've received a request from IANA to review an extension
> registration request. Please send your comments to this list prior to
> 18 June 2015. Ulrich Wisser <[email-masked]> sent the request on
> behalf of .SE.
> 
> Scott
> 
> https://www.iis.se/docs/Bilaga-
> 10_EPP_Rules_Policies_Protocol_Description-v17.pdf
> 
> -----END FORM-----
> _______________________________________________
> EppExt mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/eppext

---

From: Patrick Mevzek <[email-masked]>
Date: Mon, 15 Jun 2015 23:35:41 +0200

Hollenbeck, Scott <[email-masked]> 2015-06-15 13:47
> An indirect comment: the need for VAT and national identifier information seems to be a common need for registries that operate in the EU. Does it make sense to develop a standard extension for the…

I personnally think so, including other contact data too.

Based on the (mostly ccTLDs) EPP extensions I have seen working with
this kind of data, I was planning to write after the Stockholm EPP
workshop an extension to handle that,
and then starting the hard part on seeing how it could get implemented
by registries…

I have not started that work yet, and if anyone has ideas and/or want
to help write the I-D, he/she is welcome.

-- 
Patrick Mevzek

---

From: Mario Loffredo <[email-masked]>
Date: Tue, 16 Jun 2015 09:38:36 +0200

> to help write the I-D, he/she is welcome.
We (as .it) would like to give our contribution to this discussion.
I think we should collect all the extensions related to this topic 
(maybe in a set of mails with the apporpriate subject and, after, in a 
pre-draft document) before writing the first  draft.
This could be useful to have an exhaustive survey and to catch 
similarities among proprietary extensions.

Mario

---

From: Maarten Bosteels <[email-masked]>
Date: Tue, 16 Jun 2015 07:51:53 +0000

+1

DNS Belgium would also like to contribute to this discussion/extension.
We are currently collecting VAT (optional) and language (currently required) for contact objects.

Maarten

---

From: Ning Kong <[email-masked]>
Date: Tue, 16 Jun 2015 16:46:20 +0800

I have completed my review of the extension as DE and I'm not aware of any conflicts with existing IETF work or other known extensions. I have the following comments to share,

#1 P10 Section 3
"Note that the response MIGHT contain a msgQ element if there are messages queued.” Since the response is conformed with RFC5730, IMO it’s not necessary to add this sentence. Because msgQ element is supported in <poll> command defined in RFC5730.

#2 P14 Section 5
In this seciton, a <poll> command extension is specified to get object information which has no clTRID. It is better to describe the specific supported child elements in this section, although we can find it in the xsd file. 

In P15 example response, I notice that there is no message in "<msg lang="en"> </msg>”.

#3 P20 Section 6.5

A specific requirements for the following extension is strongly recommended here.

Extensions 
<iis:infData/> will be returned for the sponsoring client in <extension/>. It can contain: 
<iis:clientDelete/> - the clienteDelete state of the domain 
<iis:deactDate/> - the date when the domain will be deactivated 
<iis:delDate/> - the date when the domain will be deleted 
<iis:relDate/> - the date when the domain will be released 
<iis:state/> - the whois state of the domain

BTW, typo: clienteDelete —> clientDelete

#4 P24 Section 6.8
I wonder why <delete> command in RFC5731 is not supported?

#5 P34 and P35 Section 7.4
"<contact:authInfo/> is not supported.”

AuthInfo is not supported while the <info> response includes <contact: disclose> elements. I’m afraid this requirement may conflict with RFC5733.

Cheers,
Ning

> 在 2015年6月4日，16:21，Hollenbeck, Scott <[email-masked]> 写道：
>

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 16 Jun 2015 11:00:13 +0000

> From: EppExt [mailto:[email-masked]] On Behalf Of Mario
> Loffredo
> Sent: Tuesday, June 16, 2015 3:39 AM
> To: [email-masked]
> Subject: Re: [eppext] [IANA #826994] Registration request for EPP
> extension
> 
> >> An indirect comment: the need for VAT and national identifier
> information seems to be a common need for registries that operate in
> the EU. Does it make sense to develop a standard extension for them?

I'm glad to see some discussion - it's the first step in getting something done! One thought on Mario's suggestion: it would also be a good idea for anyone who has a related extension to *register* it.

Scott

---

From: Roger D Carney <[email-masked]>
Date: Wed, 17 Jun 2015 20:03:04 +0000

Good Afternoon,

I have completed my review of this extension as DE and I have no significant comments. 

Minor comment:  
Section 6.5 Info (pg. 20) I assume just a minor typo "- the clienteDelete state of the domain" should be clientDelete

Thanks
Roger

-----Original Message-----
From: EppExt [mailto:[email-masked]] On Behalf Of Hollenbeck, Scott
Sent: Thursday, June 04, 2015 3:22 AM
To: [email-masked]
Cc: Ulrich Wisser
Subject: [eppext] FW: [IANA #826994] Registration request for EPP extension

Scott

-----Original Message-----
From: Amanda Baber via RT [mailto:[email-masked]] 
Sent: Thursday, June 04, 2015 4:14 AM
Cc: Hollenbeck, Scott
Subject: [IANA #826994] Registration request for EPP extension

Hi Scott,

thanks,
Amanda

-----BEGIN FORM-----

Name of Extension:
".SE extension"

Reference:

TLDs: .se  .nu

IPR Disclosure: None

Status: Active

---

From: Alexander Mayrhofer <[email-masked]>
Date: Thu, 18 Jun 2015 16:27:49 +0000

All,

As one of the Designated Experts, i have reviewd the extension, and i have no significant comments. My minor comment is that I would prefer to have "isolated" documentation of the specific extension (in addition to the schema file), rather than the documentation being part of the general .se EPP documentation (which describes other aspects of the .se EPP service as well).

Thanks,
Alex